AddSpiral

Adds a spiral or helical curve object to the document.

Syntax

Rhino.AddSpiral (arrPoint0, arrPoint1, dblPitch, dblTurns, dblRadius0 [, dblRadius1])

Parameters

arrPoint0

Required.  Array.  Helix's axis starting point or center of spiral.

arrPoint1

Required.  Array.  Helix's axis end point or point normal to spiral's plane.

dblPitch

Required.  Number.  The pitch, or distance between turns. If 0, then a spiral. If > 0, then the distance between helix's "threads".

dblTurns

Required.  Number.  A non-zero value indicating the number of turns in spiral or helix. Values > 0 will produce a right-handed, or counter-clockwise, orientation. A value < 0 will produce a left-handed, or clockwise, orientation. Note, for a helix, dblPitch * dblTurns = length of the helix's axis.

dblRadius0

Required.  Number.  The starting radius.  Note, for a helix, you may have dblRadius0 = dblRadius1. For a spiral, dblRadius0 = dblRadius1 produces a circle. Zero and negative radii are permissible.  At least one radii must be non-zero.

dblRadius1

Optional.  Number.  The ending radius.  If omitted, dblRadius1 = dblRadius0.

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim arrPoint0, arrPoint1, dblPitch, dblTurns, dblRadius0, dblRadius1

arrPoint0 = array(0,0,0)

arrPoint1 = Array(0,0,10)

dblPitch = 1

dblTurns = 10

dblRadius0 = 5.0

dblRadius1 = 8.0

Call Rhino.AddSpiral(arrPoint0, arrPoint1, dblPitch, dblTurns, dblRadius0, dblRadius1)

Also See

AddSpiral2